# Common variables through the package.

# Build type
# Enable shared when the user request shared libraries explicitly.
# Otherwise, Default to shared libraries on Linux and static on Windows to avoid DLL hell.
if(BUILD_SHARED_LIBS)
    set(TBPLAS_STATIC OFF)
else()
    if(UNIX)
        set(TBPLAS_STATIC OFF)
    else()
        set(TBPLAS_STATIC ON)
    endif()
endif()

# Project info
# tbplas-cpp will be versioned independently from tbplas-py.
set(TBPLAS_PROJECT_NAME "tbplas-cpp")
set(TBPLAS_HOMEPAGE "www.tbplas.net")
set(TBPLAS_DESCRIPTION "C++ part of the TBPLaS")
set(TBPLAS_VENDOR "TBPLaS Development Team")
set(TBPLAS_VERSION_MAJOR 0)
set(TBPLAS_VERSION_MINOR 0)
set(TBPLAS_VERSION_PATCH 0)
set(TBPLAS_VERSION_FULL "${TBPLAS_VERSION_MAJOR}.${TBPLAS_VERSION_MINOR}.${TBPLAS_VERSION_PATCH}")
